Summary: Ethernet Bridge frame table administration tool
Name:    ebtables
Version: 2.0.6
Release: 19tr
Group: Trustix Official
Source:  http://prdownloads.sourceforge.net/ebtables/ebtables-v2.0.6.tar.gz
Source1: ebtables-init
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: chkconfig tsl-utils

%description
ebtables is a user space tool, it is used to set up and
maintain the tables of Ethernet frame rules in the Linux
kernel. These rules inspect the Ethernet frames with they
see. ebtables is analogous to the iptables user space
tool.


%prep
%setup -q -n ebtables-v%{version}


%build
make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/%{_initdir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 755 ebtables $RPM_BUILD_ROOT/sbin/
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_initdir}/ebtables
install -m 644 ethertypes $RPM_BUILD_ROOT/etc/
install -m 644 ebtables.8 $RPM_BUILD_ROOT/%{_mandir}/man8/


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add ebtables
/sbin/restart_maybe ebtables

%preun
if [ "$1" = "0" ]; then
    /etc/init.d/ebtables stop >&2
    /sbin/chkconfig --del ebtables
fi


%files
%defattr(-,root,root)
%doc ChangeLog INSTALL THANKS
/sbin/*
/etc/*
%{_mandir}/man8/*


%changelog
* Mon Oct 31 2005 Ajith Thampi <ajith at comodo dot com> 2.0.6-19tr
- Changed init to load only needed modules and save needed tables. Bug #1353

* Fri Oct 21 2005 Ajith Thampi <ajith at comodo dot com> 2.0.6-18tr
- Added PreReq for chkconfig and restart_maybe
		 
* Tue Oct 18 2005 Ajith Thampi <ajith at comodo dot com> 2.0.6-17tr
- Import to TSL 2.2 Official
		
* Thu Dec 30 2004 Olaf Rempel <razzor at kopf minus tisch dot de> 2.0.6-16or
- Rebuild for TSL 2.2 Community Contrib

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Sat Mar  6 2004 Goetz Bock <bg at trustix dot org> 2.0.6-5or
- specfile cleanups.
- init file cleanups, added some help.

* Fri Feb 13 2004 Olaf Rempel <razzor at kopf minus tisch dot de>
- update init script, supports now broute table, and module-unloading

* Sun Feb 08 2004 Olaf Rempel <razzor at kopf minus tisch dot de>
- added init script

* Wed Dec 17 2003 Olaf Rempel <razzor at kopf minus tisch dot de>
- version bump

* Sat Sep 27 2003 Olaf Rempel <razzor at kopf minus tisch dot de>
- first build
